FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202107291702.p0.git.b2c4b92 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107291702.p0.git.b2c4b92 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b2c4b92 OS_GIT_VERSION=4.6.0-202107291702.p0.git.b2c4b92-b2c4b92 SOURCE_DATE_EPOCH=1610711988 SOURCE_GIT_COMMIT=b2c4b92328ad1a1dd81498170d107ce9a57d89e3 SOURCE_GIT_TAG=v0.1.0-314-gb2c4b92 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
WORKDIR /go/src/github.com/kubernetes-csi/external-resizer
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0-202107281959.p0.git.618b71d
ENV __doozer=update BUILD_RELEASE=202107291702.p0.git.b2c4b92 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107291702.p0.git.b2c4b92 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b2c4b92 OS_GIT_VERSION=4.6.0-202107291702.p0.git.b2c4b92-b2c4b92 SOURCE_DATE_EPOCH=1610711988 SOURCE_GIT_COMMIT=b2c4b92328ad1a1dd81498170d107ce9a57d89e3 SOURCE_GIT_TAG=v0.1.0-314-gb2c4b92 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-resizer/bin/csi-resizer /usr/bin/
ENTRYPOINT ["/usr/bin/csi-resizer"]

LABEL \
        name="openshift/ose-csi-external-resizer" \
        com.redhat.component="ose-csi-external-resizer-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202107291702.p0.git.b2c4b92" \
        io.openshift.build.commit.id="b2c4b92328ad1a1dd81498170d107ce9a57d89e3" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-resizer" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-resizer/commit/b2c4b92328ad1a1dd81498170d107ce9a57d89e3" \
        version="v4.6.0"

